MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027113Open CASCADE[OCCT] OCCT:Codingpublic2016-01-26 09:582019-03-08 15:50
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027113: Coding - add macros Standard_DEPRECATED for marking deprecated functionality
DescriptionDifferent compilers define different attributes for marking functions deprecated. It is useful to define wrapper in Standard package.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0030545closedapn Open CASCADE Documentation - methods marked with Standard_DEPRECATED has ill-formed Doxygen output 
related to 0027118closedabv Open CASCADE Configuration - do not suppress deprecation warnings when using msvc 

-  Notes
(0050123)
git (administrator)
2016-01-26 10:29

Branch CR27113 has been created by kgv.

SHA-1: 14d6ffa3d3e2b953b145a58114dd65326c13b387


Detailed log of new commits:

Author: kgv
Date: Tue Jan 26 10:28:38 2016 +0300

    0027113: Coding - add macros Standard_DEPRECATED for marking deprecated functionality
(0050142)
git (administrator)
2016-01-27 09:49

Branch CR27113 has been updated forcibly by kgv.

SHA-1: dea796c996a4cf8794cfe596c7f6e5b15644bc53
(0050144)
git (administrator)
2016-01-27 10:04

Branch CR27113 has been updated forcibly by kgv.

SHA-1: f2028ca0a165473cbc7903a0dfe2112aa71ddb51
(0050145)
git (administrator)
2016-01-27 10:14

Branch CR27113 has been updated forcibly by kgv.

SHA-1: eebaaa7c8cc6b18c395dc83ba618e9efcc75dfa9
(0050258)
git (administrator)
2016-01-30 14:54

Branch CR27113 has been updated forcibly by kgv.

SHA-1: a73615cf992c59df9aceed01613967b832c5b5a3
(0050721)
git (administrator)
2016-02-13 20:53

Branch CR27113_1 has been created by abv.

SHA-1: 8e4bb5d222d30071b8a6e8733739d4ce8a5482ac


No new revisions were added by this update.
(0050723)
git (administrator)
2016-02-14 07:55

Branch CR27113_1 has been updated forcibly by abv.

SHA-1: 03e6a90b12ad144a4aa7d51e7dae2dfc21f78196
(0050784)
abv (manager)
2016-02-15 21:36

This fix will be tested together with CR27111_6
(0050814)
mkv (tester)
2016-02-16 14:38

Dear BugMaster,
Branch CR27113_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 03e6a90b12ad144a4aa7d51e7dae2dfc21f78196

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 36 (36 on master)
Windows: 0 (0 on master)
(0050992)
bugmaster (administrator)
2016-02-19 10:40

Tested in framework of branch CR27111_6
(0052776)
git (administrator)
2016-04-17 12:57

Branch CR27113 has been deleted by kgv.

SHA-1: a73615cf992c59df9aceed01613967b832c5b5a3
(0052809)
git (administrator)
2016-04-17 13:07

Branch CR27113_1 has been deleted by kgv.

SHA-1: 03e6a90b12ad144a4aa7d51e7dae2dfc21f78196

- Related Changesets
occt: master 8ddd25b8
Timestamp: 2016-01-30 11:54:12
Author: abv
Committer: abv
Details ] Diff ]
0027113: Coding - add macros Standard_DEPRECATED for marking deprecated functionality

Macro Standard_DEPRECATED("message") can be used in declarations to mark a method deprecated and generate compiler warning when it is used.
If OCCT_NO_DEPRECATED is defined, Standard_DEPRECATED is disabled (defined empty).
mod - src/Standard/Standard_Macro.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-26 09:58 kgv New Issue
2016-01-26 09:58 kgv Assigned To => kgv
2016-01-26 10:27 kgv Summary Coding - add macros for marking deprecated functionality => Coding - add macros Standard_DEPRECATED for marking deprecated functionality
2016-01-26 10:29 git Note Added: 0050123
2016-01-27 09:49 git Note Added: 0050142
2016-01-27 10:04 git Note Added: 0050144
2016-01-27 10:14 git Note Added: 0050145
2016-01-27 10:19 kgv Relationship added related to 0027118
2016-01-30 14:54 git Note Added: 0050258
2016-02-05 11:50 bugmaster Project Open CASCADE => CEA DAM
2016-02-05 11:51 bugmaster Project CEA DAM => Open CASCADE
2016-02-13 20:53 git Note Added: 0050721
2016-02-14 07:55 git Note Added: 0050723
2016-02-14 08:11 abv Status new => resolved
2016-02-15 19:22 kgv Assigned To kgv => bugmaster
2016-02-15 19:22 kgv Status resolved => reviewed
2016-02-15 19:35 mkv Assigned To bugmaster => mkv
2016-02-15 21:36 abv Note Added: 0050784
2016-02-16 14:38 mkv Note Added: 0050814
2016-02-16 14:38 mkv Test case number => Not needed
2016-02-16 14:39 mkv Assigned To mkv => kgv
2016-02-16 14:39 mkv Assigned To kgv => bugmaster
2016-02-19 10:40 bugmaster Note Added: 0050992
2016-02-19 10:40 bugmaster Status reviewed => tested
2016-02-21 08:52 abv Changeset attached => occt master 8ddd25b8
2016-02-21 08:52 abv Assigned To bugmaster => abv
2016-02-21 08:52 abv Status tested => verified
2016-02-21 08:52 abv Resolution open => fixed
2016-04-17 12:57 git Note Added: 0052776
2016-04-17 13:07 git Note Added: 0052809
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed
2017-06-02 20:40 kgv Relationship added parent of 0028808
2018-09-04 16:11 kgv Relationship added related to 0030107
2019-03-08 15:50 kgv Relationship added parent of 0030545


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker